// DHT22 (AM2303) Library
// 2017-05-28  T. Nakagawa

#include <Arduino.h>

class DHT22 {
public:
  DHT22(uint8_t pin);

  // Read the temperature and humidity. Return true on success.
  bool read(uint16_t *temperature, uint16_t *humidity);

private:
  const uint8_t pin_;
};
